GET
/api/v1/cdpbackup/{node_id}/cdp-agent/
curl --request GET \ --url 'https://api.e2enetworks.com/myaccount/api/v1/cdpbackup/{node_id}/cdp-agent/?project_id=<PROJECT_ID>&apikey=<API_KEY>&location=<LOCATION>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.get( "https://api.e2enetworks.com/myaccount/api/v1/cdpbackup/{node_id}/cdp-agent/", params={"project_id": "<PROJECT_ID>", "apikey": "<API_KEY>", "location": "<LOCATION>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/cdpbackup/{node_id}/cdp-agent/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", apikey: "<API_KEY>", location: "<LOCATION>" });
const response = await fetch(url, { method: "GET", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());curl --request GET \ --url 'https://api.e2enetworks.com/myaccount/api/v1/cdpbackup/{node_id}/cdp-agent/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.get( "https://api.e2enetworks.com/myaccount/api/v1/cdpbackup/{node_id}/cdp-agent/", params={"project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/cdpbackup/{node_id}/cdp-agent/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "GET", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Check Connection and Check Agent Connection are the same request.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”node_id
required
string
Path parameter node_id.
Query Parameters
Section titled “Query Parameters”project_id
required
integer
Identifier of the project to scope the request to. Required integer project ID.
Example
<PROJECT_ID>apikey
required
string
API key used to authenticate the request
Example
<API_KEY>location
required
string
Location identifier used in the check connection request
Example
<LOCATION>Responses
Section titled “Responses”Successful response
Media typeapplication/json
object
code
HTTP status code indicating the result of the connection check
integer
data
object
connection_status
Indicates whether the connection check succeeded
boolean
message
Human-readable status or error message for the connection check
string
errors
object
message
Status message indicating the result of the connection check
string
Example
{ "code": 200, "data": { "connection_status": false, "message": "Connecting to agent failed." }, "message": "Success"}default
Section titled “default”Response